classification
Title: Minor Change For Better cross compile
Type: enhancement Stage:
Components: Build Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: gregory.p.smith, loewis, zengbo
Priority: normal Keywords: patch

Created on 2007-09-06 06:47 by zengbo, last changed 2009-11-01 21:11 by gregory.p.smith. This issue is now closed.

Files
File name Uploaded Description Edit
autocheck.patch zengbo, 2007-09-06 06:47
Messages (2)
msg55678 - (view) Author: Zhang Zengbo (zengbo) Date: 2007-09-06 06:47
Some test in configure.in is AC_TRY_RUN, which can be replaced by
AC_TRY_COMPILE, achieve the same goal and give better support for cross
compiling.  This patch is for svn reversion 57996.
msg94807 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2009-11-01 21:11
Thanks for the patch!

applied in trunk r76028/r76029.  py3k r76030/r76032

There are more of these, other bugs are open that should result in us 
cleaning them up.  see issue1006238 for example.
History
Date User Action Args
2009-11-01 21:11:53gregory.p.smithsetstatus: open -> closed
resolution: fixed
messages: + msg94807
2009-07-31 21:03:28gregory.p.smithsetpriority: low -> normal
assignee: loewis -> gregory.p.smith

nosy: + gregory.p.smith
2009-04-07 04:04:34ajaksu2settype: enhancement
components: + Build
versions: + Python 3.1, Python 2.7, - Python 2.6
2007-09-17 08:22:28jafosetpriority: low
assignee: loewis
nosy: + loewis
2007-09-06 07:45:03loewissetkeywords: + patch
2007-09-06 06:47:35zengbocreate